﻿@{
    Layout = null;
}


<fieldset>
    <legend>Footer</legend>
    <div class="input-control checkbox" data-role="input-control">
        <label>
            <input ng-model="Model.MailTemplate.HasFooter" type="checkbox">
            <span class="check"></span>
            Show footer
        </label>
    </div>
    <div class="input-control checkbox" data-role="input-control">
        <label>
            <input ng-model="Model.MailTemplate.HasFooterText" type="checkbox">
            <span class="check"></span>
            Show text in footer
        </label>
    </div>
    <div ng-show="Model.MailTemplate.HasFooter">
        <label ng-show="Model.MailTemplate.HasFooterText">Footer text</label>
        <div ng-show="Model.MailTemplate.HasFooterText" class="input-control text" data-role="input-control">
            <input ng-model="Model.MailTemplate.FooterText" type="text">
            <button type="button" class="btn-clear" tabindex="-1" type="button"></button>
        </div>
        <div class="clearfix"></div>
        <label>Footer background</label>
        <div>
            <div class="input-control radio default-style place-left one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerFooter('upload')">
                    <input ng-model="footerBackMode" value="Upload" type="radio" />
                    <span class="check"></span>
                    Upload
                </label>
            </div>
            <div class="input-control radio default-style place-left one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerFooter('gallery')">
                    <input ng-model="footerBackMode" value="Existing" type="radio" />
                    <span class="check"></span>
                    From gallery
                </label>
            </div>
            <div class="input-control radio default-style  place-left   one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerFooter('url')">
                    <input ng-model="footerBackMode" value="Url" type="radio" />
                    <span class="check"></span>
                    By URL
                </label>
            </div>
            <div class="input-control radio default-style place-left one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerFooter('none')">
                    <input ng-model="footerBackMode" value="None" type="radio" ng-change="setFooterBackgroundImageToNone()" />
                    <span class="check"></span>
                    None
                </label>
            </div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="footerBackMode == 'Existing'">
            <label class="label-head">Choose from the gallery</label>
            <div class="one-third place-left existing-image" ng-class="{selected : getFooterBackground() == image}" ng-repeat="image in existingImages">
                <img ng-click="setFooterBackground(image)" ng-src="{{image}}" />
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="footerBackMode == 'Upload'">
            <div class="grid fluid">
                <div class="row">
                    <div class="span12 text-center">
                      

                        <div class="input-file-simulator">
                            <label for="cropper2"><span>Choose an image to upload</span></label>
                            <input id="cropper2" ng-click="hideCropper1()" type="file" accept="image/x-png,image/gif,image/jpeg,image/jpg" img-cropper-fileread image="cropper.sourceImage" onchange="angular.element(this).scope().validateImage(this,'footer')" />
                        </div>
                        <div>
                            <canvas ng-if="showCropper2==true && positionBanner=='footer'" width="628" height="250" id="canvas" image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage" crop-width="628" crop-height="250" min-width="100" min-height="50" crop-area-bounds="bounds"></canvas>
                        </div>

                        <div ng-if="showCropper2==true && positionBanner=='footer'"  ng-show="cropper.croppedImage!=null"><img ng-src="{{cropper.croppedImage}}" /></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="footerBackMode == 'Url'">
            <label class="label-head">Background URL</label>
            <div class="input-control text" data-role="input-control">
                <input ng-model="Model.MailTemplate.FooterBackground" type="text" placeholder="URL">
                <button type="button" class="btn-clear" tabindex="-1"></button>
            </div>
        </div>
    </div>
</fieldset>
